<?php
/*
 * \SentraDesigner\fills\Teaser\scripts\newteasergriddy.php
 */
	SWITCH ($ColumnCount) {
		case 1:
			$grid = array(1);
		break;

		case 2:
			$LeftWidth 	= 1;
			$RightWidth = $ColumnCount - $LeftWidth;
			$grid = array($LeftWidth,$RightWidth);
		break;

		case 3:
			$LeftWidth 	= 1;
			$RightWidth 	= 1;
			$CenterWidth = $ColumnCount - $LeftWidth - $RightWidth;
			$grid = array($LeftWidth, $CenterWidth, $RightWidth);

		break;
	}

	$TeaserGriddy = new Griddy($grid,$ColumnCount);
	$TeaserGriddy -> Breaks = array(550,480);
	$TeaserGriddy -> ColPadding[0] = '';
	$TeaserGriddy -> ColPadding[1] = '';
	$TeaserGriddy -> ColPadding[2] = '';
	If (isset($TeaserData)) {
		$TeaserGriddy -> GridPadding = '0';
		If ($ColumnCount > 1) $TeaserGriddy -> GridMargin  = $TeaserData['ColumnMarginHor'];
	} Else {

		$TeaserGriddy -> GridMargin		 = '0';
	}
	$TeaserGriddy -> BaseSelector  = '.col'.$ColumnCount;
	$TeaserGriddy -> BreakPoints = true;
	If (defined ('SENTRA_DESIGNER')) {
		$p = $fixedMode = unserialize(file_get_contents(WORK.'headerWidth.dat'));
		if ($p['WidthMode'] == 'fixed')
			$TeaserGriddy -> BreakPoints = false;
	}
?>